Partial Public Class SilverlightChildWindow
  Inherits UserControl
  Private ventanaHija As New Login()

  Public Sub New()
    InitializeComponent()
    AddHandler ventanaHija.Closed, AddressOf ventanaHija_Closed
  End Sub

  Private Sub btInicioSesion_Click(sender As Object, e As RoutedEventArgs)
    If btInicioSesion.Content.ToString() = "Cerrar sesión" Then Return
    ventanaHija.Show()
    System.Diagnostics.Debug.WriteLine("Se invocó a Show")
  End Sub

  Private Sub ventanaHija_Closed(sender As Object, e As EventArgs)
    If ventanaHija.DialogResult = True Then
      ' Aquí verificaríamos si 'ventanaHija.Contraseña'
      ' es válida.
      tbInfo.Text = "Bienvenido " & ventanaHija.Usuario & " a este sitio Web."
      btInicioSesion.Content = "Cerrar sesión"
    End If
  End Sub
End Class
